<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get variables
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>HIP Find template elements</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");

// get input values
int elementType = Integer.parseInt(request.getParameter("elementType"));
String elementName = request.getParameter("elementName");
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">HIP Find template elements</td>
    </tr>
</table>
</div>

<div class="block">
<p>This script shows all template elements for your selection<br>
<strong>Element type</strong> <%=TemplateElement.getTypeName(elementType)%><br>
<strong>Element name</strong> <%=elementName.length() == 0 ? "<none>" : elementName%><br>
</p>
</div>

<!-- result or exception block -->
<div class="block">
<div id="working">
Searching...<br>
&nbsp;&nbsp;current folder: <strong><span id="currentFolder"></span></strong><br>
&nbsp;&nbsp;current content class: <strong><span id="currentTemplate"></span></strong><br />
</div>

<!-- result or exception block -->
<div class="block">
<table class="listTable" style="border-collapse:collapse" cellspacing="0" cellpadding="3">
<thead>
<tr>
 <th class="listHead" style="width:30%; text-align:left;">Content class folder name</th>  
 <th class="listHead" style="width:30%; text-align:left;">Content class name</th>  
 <th class="listHead" style="width:30%; text-align:left;">Element name</th>  
</tr>
</thead>
<tbody>
<%
	out.flush();
try {
	// open project
	CmsClient client = new CmsClient (logonGuid);
	Project project = client.getProject (sessionKey, projectGuid);

	// browse through all template folders
	int count = 0;
	java.util.List folders = project.getAllTemplateFolders();
	for (Iterator iter = folders.iterator(); iter.hasNext();) {
		TemplateFolder folder = (TemplateFolder) iter.next();
		java.util.List templates = folder.getTemplates();
%>
<script language=javascript>
document.getElementById("currentFolder").innerText="<%=folder.getName()%>";
</script>
<%
		out.flush();
		// for all templates do
		for (Iterator iterator = templates.iterator(); iterator.hasNext();) {
			Template template = (Template) iterator.next();
%>
<script language=javascript>
document.getElementById("currentTemplate").innerText="<%=template.getName()%>";
</script>
<%
			out.flush();
			java.util.List elements = new ArrayList();
			if (elementName.trim().length() == 0) {
				elements = template.getTemplateElementsByType(elementType);
			} else {
				elements = template.getTemplateElementsByType(elementType, elementName);
			}
			// write out all elements
			// list elements found
			for (int i = 0; i < elements.size(); i++) {
				TemplateElement element = (TemplateElement) elements.get(i);
				count += 1;
%>
<tr>
 <td class="borderedTextRow" style="font-size:100%;"><%=folder.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=template.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=element.getName()%></td>
</tr>
<%
			}
		}
	}
%>
</tbody>
</table>
<script language=javascript>
	document.getElementById("working").style.display="none";
	window.scrollTo(0,0);
</script>
<br>
<%=count%> template elements found.
<h2>Find template elements ends successfully.</h2>
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<form>
<input type="submit" value="Close window" onClick="javascript:window.close()">&nbsp;
<input type="submit" value="Print" onClick="javascript:window.print()">
</form>
</div>

</BODY>
</HTML>
