<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get variables
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Show template GUIDs</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");

String folderGuid = request.getParameter("treeFolderGuid");
try {
	// open project
	CmsClient client = new CmsClient (logonGuid);
	Project project = client.getProject (sessionKey, projectGuid);
	TemplateFolder templateFolder = project.getTemplateFolderByGuid(folderGuid);
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Show template GUIDs</td>
    </tr>
</table>
</div>

<div class="block">
<p>This script shows all templates in folder: <strong><%=templateFolder.getName() %></strong></p>
</div>

<!-- result or exception block -->
<div class="block">
<table class="listTable" style="border-collapse:collapse" cellspacing="0" cellpadding="3">
<thead>
<tr>
 <th class="listHead" style="width:30%; text-align:left;">Content class name</th>  
 <th class="listHead" style="width:70%; text-align:left;">GUID</th>  
</tr>
</thead>
<tbody>
<%
		// for all templates do
		java.util.List templates = templateFolder.getTemplates();
		for (Iterator iterator = templates.iterator(); iterator.hasNext();) {
			Template template = (Template) iterator.next();
%>
<tr>
 <td class="borderedTextRow" style="font-size:100%;"><%=template.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=template.getTemplateGuid()%></td>
</tr>
<%
		}
%>
</tbody>
</table>
<br>
<%=templates.size()%> templates found.
<h2>Script ends successfully.</h2>
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<form>
<input type="submit" value="Close window" onClick="javascript:window.close()">&nbsp;
<input type="submit" value="Print" onClick="javascript:window.print()">
</form>
</div>

</BODY>
</HTML>
