<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get variables
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
String refreshAsp = b.getString("refreshAsp");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Collect e-mail address of authors</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");

// input values
String[] projectGuids = request.getParameterValues("projectGuids");
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Collect e-mail address of authors</td>
    </tr>
</table>
</div>

<!-- result or exception block -->
<div class="block">
<%
try {
	// open project
	CmsClient client = new CmsClient (logonGuid);

	// generate the list of selected projects
	java.util.List addresses = client.collectUserMailAddressesForProjects(sessionKey, projectGuids);
%>
<%=addresses.size()%> addresses collected.<br />
<textarea cols="80" rows="16" name="addresses">
<%
	Iterator iter = addresses.iterator();
	while (iter.hasNext()) {
		String address = (String) iter.next();
		out.print(address + "; ");
	}
%>
</textarea>
<h2>Collect e-mail address of authors ends successfully.</h2>
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<form action="<%=refreshAsp%>" method="GET">
<input type="submit" value="Close window and Refresh" >
</form>
</div>

</BODY>
</HTML>
