<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get CPS prefix
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Delete job reports</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");

// get input values
String numberOfDaysToKeepStr = request.getParameter("numberOfDaysToKeep");
int numberOfDaysToKeep = Integer.parseInt(numberOfDaysToKeepStr);
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Delete job reports</td>
    </tr>
</table>
</div>

<!-- result or exception block -->
<div class="block">
<%
try {
	// open project
	CmsClient client = new CmsClient (logonGuid);
	Project project = client.getProject (sessionKey, projectGuid);

	// delete reports
	int deletedReports = project.deletePublishingJobReports(numberOfDaysToKeep);
%>
	<h2>Delete job reports ends successfully.</h2>
<%=deletedReports%> publishing job reports were deleted.
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<br><input type="submit" value="Close window" onClick="window.close()">
</div>

</BODY>
</HTML>
