<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get CPS prefix
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
String refreshAsp = b.getString("refreshAsp");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Show page information by GUID</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");

// get input values
String pageGuid = request.getParameter("pageGuid");
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Show page information by GUID</td>
    </tr>
</table>
</div>

<!-- result or exception block -->
<div class="block">
<%
try {
	// open project
	CmsClient client = new CmsClient (logonGuid);
	Project project = client.getProject (sessionKey, projectGuid);

	// select actual page
	Page currentPg = project.getPageByGuid(pageGuid);

	// access info to force exception
	String infoText = currentPg.getInfoText("&nbsp;"); 
%>
<p>Page for GUID <%=pageGuid %> found:<br>
<strong><%=infoText%></strong></P>
<%
} catch (InvalidGuidException ige) {
%>
<p>No page for GUID <%=pageGuid %> found.</p>
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<h2>Show page information by GUID ends successfully.</h2>
<form><input type="button" name="btnClose" value="Close window" onClick="window.close()">&nbsp;<input type="button" name="btnClose" value="Try another page GUID" onClick="history.back()"></form>
</div>

</BODY>
</HTML>
