<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get CPS prefix
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Content class preassignment reference</TITLE>
<script type="text/javascript">
<!--
function trim(s) {
  while (s.substring(0,1) == ' ') {
    s = s.substring(1,s.length);
  }
  while (s.substring(s.length-1,s.length) == ' ') {
    s = s.substring(0,s.length-1);
  }
  return s;
}
function checkForm() {
  document.inputForm.btnSubmit.disabled = true;
  document.inputForm.btnClose.disabled = true;
  return true;
}
//-->
</script>
</HEAD>

<BODY onLoad="document.inputForm.folderGuidOrAll.focus()">
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");
String templateGuid = request.getParameter("templateGuid");
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Content class preassignment reference</td>
    </tr>
</table>
</div>

<!-- formular block -->
<%
try {
	// open project
	CmsClient client = new CmsClient(logonGuid);
	Project project = client.getProject(sessionKey, projectGuid);
	Template currentTmplt = project.getTemplateByGuid(templateGuid);
%>	
<div class="block">
<p>This script shows all MultiLink content class elements where the choosen content class is preassigned:<br>
<strong><%=currentTmplt.getTemplateFolder().getName()%> / <%=currentTmplt.getName()%></strong>
</p>

<form action="showTemplatePreassignmentReference2.jsp" method="POST" name="inputForm" onSubmit="return checkForm()">
<table cellspacing="5" cellpadding="0">
 <tr>
  <td>Choose folder</td>
  <td>
<p>
<select size="1" name="folderGuidOrAll">
<option value="all">&lt;all folders&gt;</option>
<%
	java.util.List folders = project.getAllTemplateFolders();
	for (int i = 0; i < folders.size(); i++) {
		TemplateFolder folder = (TemplateFolder) folders.get(i);
%>
<option value="<%=folder.getTemplateFolderGuid()%>"><%=folder.getName()%></option>
<%
	} // end for all folders
%>
</select>
</p>
  </td>
 </tr>
  <tr>
    <td></td>
    <td><input type="submit" name="btnSubmit" value="Show reference">&nbsp;<input type="button" name="btnClose" value="Close window" onClick="window.close()"></td>
  </tr>
</table>
<input type="hidden" name="logonGuid" value="<%=logonGuid%>">
<input type="hidden" name="sessionKey" value="<%=sessionKey%>">
<input type="hidden" name="projectGuid" value="<%=projectGuid%>">
<input type="hidden" name="templateGuid" value="<%=templateGuid%>">
</form>
</div>

<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
</BODY>
</HTML>
