<%@ page import="java.util.*, com.hlcl.rql.as.*" session="false" isThreadSafe="true" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<HTML>
<HEAD>
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<%
// get variables
ResourceBundle b = ResourceBundle.getBundle("com.hlcl.rql.as.rql_fw");
String cssUrl = b.getString("cssUrl");
%>
<%-- remove server name when migrating to DEVE or PROD --%>
<link href="<%=cssUrl%>" rel="styleSheet" type="text/css">
<TITLE>Content class preassignment reference</TITLE>
</HEAD>

<BODY>
<%
// get all RedDot session/project values from request
String logonGuid = request.getParameter("logonGuid");
String sessionKey = request.getParameter("sessionKey");
String projectGuid = request.getParameter("projectGuid");
String templateGuid = request.getParameter("templateGuid");

// get input values
String folderGuidOrAll = request.getParameter("folderGuidOrAll");

try {
	CmsClient client = new CmsClient(logonGuid);
	Project project = client.getProject(sessionKey, projectGuid);
	Template currentTmplt = project.getTemplateByGuid(templateGuid);
%>	

<!-- page title, mandatory -->
<div class="block">
<table class="pageTitleTable" cellspacing="0" cellpadding="0">
    <tr>
        <td class="pageTitleGrey">Content class preassignment reference</td>
    </tr>
</table>
</div>

<div>
<p>See the following list of MultiLink content class elements on which the following content class is preassigned:<br>
<strong><%=currentTmplt.getTemplateFolder().getName()%> / <%=currentTmplt.getName()%></strong>
<br></p>
<p>Result for 
<%
	TemplateFolder tmpltFldr = null;
	if (folderGuidOrAll.equals("all")) {
%>
all content class folders.
<%
	} else {
		tmpltFldr = project.getTemplateFolderByGuid(folderGuidOrAll);
%>
content class folder <%=tmpltFldr.getName()%>.
<%
	} // end if all folders?
%>
</p>
</div>

<div id="working">
Searching...<br>
&nbsp;&nbsp;current folder: <strong><span id="currentFolder"></span></strong><br>
&nbsp;&nbsp;current content class: <strong><span id="currentTemplate"></span></strong><br />
</div>

<!-- result or exception block -->
<div class="block">
<table class="listTable" style="border-collapse:collapse" cellspacing="0" cellpadding="3">
<thead>
<tr>
 <th class="listHead" style="width:30%; text-align:left;">Content class folder name</th>  
 <th class="listHead" style="width:30%; text-align:left;">Content class name</th>  
 <th class="listHead" style="width:30%; text-align:left;">Element name</th>  
</tr>
</thead>
<tbody>
<%
	out.flush();

	// all or only one folder
	int total = 0;
	if (folderGuidOrAll.equals("all")) {
		// for all template folders
		java.util.List tmpltFldrs = project.getAllTemplateFolders();
		for (int i = 0; i < tmpltFldrs.size(); i++) {
			tmpltFldr = (TemplateFolder) tmpltFldrs.get(i);
%>
<script language=javascript>
document.getElementById("currentFolder").innerText="<%=tmpltFldr.getName()%>";
</script>
<%
			out.flush();
			// for all templates
			java.util.List templates = tmpltFldr.getTemplates();
			for (int k = 0; k < templates.size(); k++) {
				Template template = (Template) templates.get(k);
%>
<script language=javascript>
document.getElementById("currentTemplate").innerText="<%=template.getName()%>";
</script>
<%
				out.flush();
				// for all multi link elements
				java.util.List multiLinks = template.getMultiLinkTemplateElements(false);
				for (int j = 0; j < multiLinks.size(); j++) {
					TemplateElement multiLinkTmpltElem = (TemplateElement) multiLinks.get(j);
					if (multiLinkTmpltElem.getPreassignedTemplates().contains(currentTmplt)) {
					total += 1;
%>
<tr>
 <td class="borderedTextRow" style="font-size:100%;"><%=tmpltFldr.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=template.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=multiLinkTmpltElem.getName()%></td>
</tr>
<%
					} //end if
				} // end for all multilinks
			} // end for all templates
		} // end for all folders
	} else {
%>
<script language=javascript>
document.getElementById("currentFolder").innerText="<%=tmpltFldr.getName()%>";
</script>
<%
		out.flush();
		java.util.List templates = tmpltFldr.getTemplates();
		for (int i = 0; i < templates.size(); i++) {
			Template template = (Template) templates.get(i);
%>
<script language=javascript>
document.getElementById("currentTemplate").innerText="<%=template.getName()%>";
</script>
<%
			out.flush();
			java.util.List multiLinks = template.getMultiLinkTemplateElements(false);
			for (int j = 0; j < multiLinks.size(); j++) {
				TemplateElement multiLinkTmpltElem = (TemplateElement) multiLinks.get(j);
				if (multiLinkTmpltElem.getPreassignedTemplates().contains(currentTmplt)) {
					total += 1;
%>
<tr>
 <td class="borderedTextRow" style="font-size:100%;"><%=tmpltFldr.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=template.getName()%></td>
 <td class="borderedTextRow" style="font-size:100%;"><%=multiLinkTmpltElem.getName()%></td>
</tr>
<%
				} //end if
			} // end for all multilinks
		} // end for all templates
	} // end if all folders
%>
</tbody>
</table>
<script language=javascript>
	document.getElementById("working").style.display="none";
	window.scrollTo(0,0);
</script>
<br>
<p><%=total%> content class elements found.</p>
<h2>Show content class preassignment reference ends successfully.</h2>
<%
} catch (RQLException ex) {
	out.println("<h2>Error occurred</h2>");
	out.print(ex.getMessage());
	System.err.println(ex.getMessage());
	ex.printStackTrace();
	if (ex.getReason() != null) {
		out.print(ex.getReason().getMessage());
		System.err.println(ex.getReason().getMessage());
		ex.getReason().printStackTrace();
	}
}
%>
<form>
<input type="submit" value="Close window" onClick="javascript:window.close()">&nbsp;
</form>
</div>

</BODY>
</HTML>
